Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.objects
Class XBoolean

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.objects.XObject
                  |
                  +--org.apache.xpath.objects.XBoolean

Direct Known Subclasses:
  XBooleanStatic

public class XBoolean
extends XObject

**For advanced use only** This class represents an XPath boolean object, and is capable of converting the boolean to other types, such as a string.

See Also:
  Serialized Form

Field Summary
`static XBoolean` | `S_FALSE` **For internal use only** A true boolean object so we don't have to keep creating them.
`static XBoolean` | `S_TRUE` **For internal use only** A true boolean object so we don't have to keep creating them.

Fields inherited from class org.apache.xpath.objects.XObject
`CLASS_BOOLEAN, CLASS_NODESET, CLASS_NULL, CLASS_NUMBER, CLASS_RTREEFRAG, CLASS_STRING, CLASS_UNKNOWN, CLASS_UNRESOLVEDVARIABLE`

Constructor Summary
`XBoolean(boolean b)` Construct a XBoolean object.
`XBoolean(java.lang.Boolean b)` Construct a XBoolean object.

Method Summary
`boolean` | `bool()` Cast result object to a boolean.
`boolean` | `equals(XObject obj2)` Tell if two objects are functionally equal.
`int` | `getType()` Tell that this is a CLASS_BOOLEAN.
`java.lang.String` | `getTypeString()` Given a request type, return the equivalent string.
`double` | `num()` Cast result object to a number.
`java.lang.Object` | `object()` Return a java object that's closest to the representation that should be handed to an extension.
`java.lang.String` | `str()` Cast result object to a string.

Methods inherited from class org.apache.xpath.objects.XObject
`allowDetachToRelease, appendToFsb, boolWithSideEffects, callVisitors, castToType, create, create, deepEquals, destruct, detach, dispatchCharactersEvents, execute, fixupVariables, getFresh, greaterThan, greaterThanOrEqual, iter, lessThan, lessThanOrEqual, mutableNodeset, nodelist, nodeset, notEquals, numWithSideEffects, reset, rtf, rtf, rtree, rtree, toString, xstr`

Methods inherited from class org.apache.xpath.Expression
`asIterator, asIteratorRaw, asNode, assertion, bool, canTraverseOutsideSubtree, error, execute, execute, execute, executeCharsToContentHandler, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getColumnNumber, getExpressionOwner, getLineNumber, getPublicId, getSystemId, isNodesetExpr, isStableNumber, num, warn, xstr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### S_TRUE

    public static XBoolean S_TRUE

  **For internal use only** A true boolean object so we don't have to keep creating them.

### S_FALSE

    public static XBoolean S_FALSE

  **For internal use only** A true boolean object so we don't have to keep creating them.

Constructor Detail

### XBoolean

    public XBoolean(boolean b)

  Construct a XBoolean object.
  Parameters:
    `b` - Value of the boolean object

### XBoolean

    public XBoolean(java.lang.Boolean b)

  Construct a XBoolean object.
  Parameters:
    `b` - Value of the boolean object

Method Detail

### getType

    public int getType()

  Tell that this is a CLASS_BOOLEAN.
  Returns:
    type of CLASS_BOOLEAN
  Overrides:
    getType in class XObject

### getTypeString

    public java.lang.String getTypeString()

  Given a request type, return the equivalent string. For diagnostic purposes.
  Returns:
    type string "#BOOLEAN"
  Overrides:
    getTypeString in class XObject

### num

    public double num()

  Cast result object to a number.
  Returns:
    numeric value of the object value
  Overrides:
    num in class XObject

### bool

    public boolean bool()

  Cast result object to a boolean.
  Returns:
    The object value as a boolean
  Overrides:
    bool in class XObject

### str

    public java.lang.String str()

  Cast result object to a string.
  Returns:
    The object's value as a string
  Overrides:
    str in class XObject

### object

    public java.lang.Object object()

  Return a java object that's closest to the representation that should be handed to an extension.
  Returns:
    The object's value as a java object
  Overrides:
    object in class XObject

### equals

    public boolean equals(XObject obj2)

  Tell if two objects are functionally equal.
  Parameters:
    `obj2` - Object to compare to this
  Returns:
    True if the two objects are equal
  Throws:
    TransformerException -
  Overrides:
    equals in class XObject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.